## org.w3c.tools.resources
Class ClassAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.ClassAttribute

public class ClassAttribute
extends Attribute

The generic description of an ClassAttribute.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`ClassAttribute(java.lang.String name, java.lang.Class def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid ClassAttribute value ?
`int` | `getPickleLength(java.lang.Object value)` Get the number of bytes required to save that attribute value.
`void` | `pickle(java.io.DataOutputStream out, java.lang.Object c)` Pickle an integer to the given output stream.
`java.lang.String` | `stringify(java.lang.Object value)` Make a String out of a ClassAttribute value.
`java.lang.Object` | `unpickle(java.io.DataInputStream in)` Unpickle an integer from the given input stream.

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassAttribute

    public ClassAttribute(java.lang.String name,
                          java.lang.Class def,
                          int flags)

Method Detail

### stringify

    public java.lang.String stringify(java.lang.Object value)

  Make a String out of a ClassAttribute value. The default `toString` method on classes doesn't work for that purpose, since it will preceed the class name with a class keyword.
  Returns:
    The String name of the class.
  Overrides:
    stringify in class Attribute

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid ClassAttribute value ?
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.
  Overrides:
    checkValue in class Attribute

### getPickleLength

    public final int getPickleLength(java.lang.Object value)

  Get the number of bytes required to save that attribute value.
  Parameters:
    `The` - value about to be pickled.
  Returns:
    The number of bytes needed to pickle that value.
  Overrides:
    getPickleLength in class Attribute

### pickle

    public void pickle(java.io.DataOutputStream out,
                       java.lang.Object c)
                throws java.io.IOException

  Pickle an integer to the given output stream.
  Parameters:
    `out` - The output stream to pickle to.
    `obj` - The object to pickle.
  Throws:
    java.io.IOException - If some IO error occured.
  Overrides:
    pickle in class Attribute

### unpickle

    public java.lang.Object unpickle(java.io.DataInputStream in)
                              throws java.io.IOException

  Unpickle an integer from the given input stream.
  Parameters:
    `in` - The input stream to unpickle from.
  Returns:
    An instance of Integer.
  Throws:
    java.io.IOException - If some IO error occured.
  Overrides:
    unpickle in class Attribute